%define         Werror_cflags %nil

%define         oname         DVDStyler
%define         srcversion    %{version}

Name:           dvdstyler
Summary:        DVD authoring application
Version:        2.3.5
Release:        %mkrel 2
#the number of times I screwed versionning...
Epoch:          1

License:        GPLv2+
Group:          Video/Utilities

URL:            http://dvdstyler.sourceforge.net/
Source0:        http://downloads.sourceforge.net/%{name}/%{oname}-%{srcversion}.tar.bz2

#add a missing -ljpeg to the linker causing compilation failure
Patch0:         DVDStyler-2.1b2-linkage.patch

BuildRequires:  sed
BuildRequires:  wxgtku-devel
BuildRequires:  wxsvg-devel >= 1.1.8
BuildRequires:  xmlto
BuildRequires:  zip
BuildRequires:  cdrkit-genisoimage
BuildRequires:  dvd+rw-tools
BuildRequires:  dvdauthor >= 0.7.0
BuildRequires:  imagemagick
BuildRequires:  bison
BuildRequires:  flex
BuildRequires:  pkgconfig(libgnomeui-2.0)
BuildRequires:  pkgconfig(libexif)
BuildRequires:  pkgconfig(libudev)
BuildRequires:  jpeg-devel
BuildRequires:  ffmpeg-devel
BuildRequires:  ffmpeg


Requires:       dvdauthor
Requires:       mjpegtools
Requires:       dvd+rw-tools
Requires:       mkisofs
Requires:       dvdisaster
Requires:       ffmpeg



%description
DVDStyler is a cross-platform free DVD authoring application for the
creation of professional-looking DVDs. It allows not only burning of
video files on DVD that can be played practically on any standalone
DVD player, but also creation of individually designed DVD menus. It
is Open Source Software and is completely free.



%prep
%setup -q -n %{oname}-%{srcversion}
%patch0 -p1 -b .old

#fix desktop file
sed -i -e 's,%{name}.png,%{name},g' data/dvdstyler.desktop


%build
%configure2_5x
%make


%install
%makeinstall_std
rm -fr %{buildroot}/%{_docdir}


desktop-file-install --vendor='' \
        --dir=%{buildroot}%{_datadir}/applications \
        --remove-category='Application' \
        --add-category='Video;AudioVideoEditing' \
        %{buildroot}%{_datadir}/applications/*.desktop

mkdir -p %{buildroot}/%{_iconsdir}/hicolor/{48x48,32x32,16x16}/apps
convert -size 48x48 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/48x48/apps/%{name}.png
convert -size 32x32 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/32x32/apps/%{name}.png
convert -size 16x16 src/rc/%{name}.png %{buildroot}/%{_iconsdir}/hicolor/16x16/apps/%{name}.png

#remove duplicate files
rm -fr %{buildroot}/%{_libdir}/share/doc/dvdstyler/

%find_lang %{name}


%files -f %{name}.lang
%defattr(-,root,root)
%doc AUTHORS ChangeLog README TODO
%{_bindir}/%{name}
%{_datadir}/%{name}
%{_mandir}/man1/%{name}.1*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/*.png
%{_iconsdir}/hicolor/*/apps/%{name}.png


%changelog

* Fri Jan 11 2013 umeabot <umeabot> 1:2.3.5-2.mga3
+ Revision: 349196
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Tue Jan 08 2013 eatdirt <eatdirt> 1:2.3.5-1.mga3
+ Revision: 343142
- Upgrade to version 2.3.5

* Tue Jan 08 2013 fwang <fwang> 1:2.3.3-2.mga3
+ Revision: 341616
- rebuild for new ffmpeg

* Mon Nov 05 2012 eatdirt <eatdirt> 1:2.3.3-1.mga3
+ Revision: 314514
- Fix obsolete group
- Upgrade to version 2.3.3

* Thu Aug 30 2012 eatdirt <eatdirt> 1:2.3-1.mga3
+ Revision: 285864
- Upgrade to version 2.3

* Thu Aug 23 2012 eatdirt <eatdirt> 1:2.3-0.0.rc2.mga3
+ Revision: 283282
- Upgrade to version 2.3rc2, cleaning specfile

* Sat Jun 30 2012 colin <colin> 2.3b1-2.mga3
+ Revision: 265626
- Rebuild for new libudev major

* Sun Jun 17 2012 eatdirt <eatdirt> 2.3b1-1.mga3
+ Revision: 261166
- Upgrade to beta version 2.3 to support new ffmpeg 0.11 api

  + fwang <fwang>
    - new version 2.2
    - rebuild for new ffmpeg

* Wed Dec 14 2011 wally <wally> 2.1-0.b2.1.mga2
+ Revision: 181622
- imported package dvdstyler

